Choose style:

Author Topic: warning triangle "update info outdated" (Solved)  (Read 2987 times)

0 Members and 1 Guest are viewing this topic.

Offline jsb

  • Jr. Member
  • **
  • Posts: 27
  • Karma: 3
  • New Forum User
    • View Profile
  • Peppermint version(s): peppermint 5
warning triangle "update info outdated" (Solved)
« on: January 04, 2015, 11:03:53 am »
I have twice had a triangle with "!" in it appear in the panel. When I click on it, it says: "update information is outdated...". When I run software updater it says software is up to date and the triangle goes away.

Based suggestions given to another poster with similar problem I ran "sudo apt update" this ends by reporting: 

Quote
Reading package lists... Done                                                 
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ trusty-security/multiverse amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_trusty-security_multiverse_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ trusty-security/restricted amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_trusty-security_restricted_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ trusty-security/main amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_trusty-security_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ trusty-security/universe amd64 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_trusty-security_universe_binary-amd64_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ trusty-security/multiverse i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_trusty-security_multiverse_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ trusty-security/restricted i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_trusty-security_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ trusty-security/main i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_trusty-security_main_binary-i386_Packages)
W: Duplicate sources.list entry http://security.ubuntu.com/ubuntu/ trusty-security/universe i386 Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_trusty-security_universe_binary-i386_Packages)
W: You may want to run apt-get update to correct these problems

So I tried "sudo apt-get update", which is what I thought that was suggesting I do, but that just reports the same issues.

Is there anything I should do about this?
« Last Edit: January 04, 2015, 06:20:21 pm by jsb »

Offline iamesperambient

  • Veteran
  • ****
  • Posts: 1269
  • Karma: 89
  • a totally awesome dude
    • View Profile
    • i AM esper (drone ambient music)
  • Peppermint version(s): Peppermint 8 64 bit
Re: warning triangle "update info outdated"
« Reply #1 on: January 04, 2015, 11:17:31 am »
i had this issue with the default update manager getting this type of error than shortly thereafter it no longer worked.
there is a post in the forums about this. I switched to mintUpdate and now my updates work well and get no more errors.
maybe consider switching your update manager to this and you may find its ok.

http://forum.peppermintos.com/index.php/topic,1104.0.html
http://iamesper.bandcamp.com
boring drone music from NJ

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26468
  • Karma: 2869
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: warning triangle "update info outdated"
« Reply #2 on: January 04, 2015, 11:22:42 am »
Switching update manager will make no difference in this case .. your issue is being caused by duplicate entries in the sources.list

Can you open a terminal (Ctrl+Alt+T) and run this command:
Code: [Select]
gedit /etc/apt/sources.list
then post the contents of the file that opens back here.

As the contents will be rather long, can you please enclose the output in spoiler tags - (Sp) button in the forum editor
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline iamesperambient

  • Veteran
  • ****
  • Posts: 1269
  • Karma: 89
  • a totally awesome dude
    • View Profile
    • i AM esper (drone ambient music)
  • Peppermint version(s): Peppermint 8 64 bit
Re: warning triangle "update info outdated"
« Reply #3 on: January 04, 2015, 11:39:12 am »
Switching update manager will make no difference in this case .. your issue is being caused by duplicate entries in the sources.list

Can you open a terminal (Ctrl+Alt+T) and run this command:
Code: [Select]
gedit /etc/apt/sources.list
then post the contents of the file that opens back here.

As the contents will be rather long, can you please enclose the output in spoiler tags - (Sp) button in the forum editor


youir right i do remember having this issue actually. But i did notice more errors with my updater right after this i suppose
it was just a coincidence.
http://iamesper.bandcamp.com
boring drone music from NJ

Offline jsb

  • Jr. Member
  • **
  • Posts: 27
  • Karma: 3
  • New Forum User
    • View Profile
  • Peppermint version(s): peppermint 5
Re: warning triangle "update info outdated"
« Reply #4 on: January 04, 2015, 11:52:24 am »
Can you open a terminal (Ctrl+Alt+T) and run this command:
Code: [Select]
gedit /etc/apt/sources.list
then post the contents of the file that opens back here.

As the contents will be rather long, can you please enclose the output in spoiler tags - (Sp) button in the forum editor

Here's what I get:

Spoiler (click here to view / hide)
# deb cdrom:[Peppermint 5 _Five_ - Release amd64 (20140617.2)]/ trusty main multiverse restricted universe

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://us.archive.ubuntu.com/ubuntu/ trusty main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates restricted main
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ trusty universe
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty universe
deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates universe
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://us.archive.ubuntu.com/ubuntu/ trusty multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty multiverse
deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ trusty-backports main universe multiverse restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu trusty-security main restricted
deb-src http://security.ubuntu.com/ubuntu trusty-security main restricted
deb http://security.ubuntu.com/ubuntu trusty-security universe
deb-src http://security.ubuntu.com/ubuntu trusty-security universe
deb http://security.ubuntu.com/ubuntu trusty-security multiverse
deb-src http://security.ubuntu.com/ubuntu trusty-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu trusty partner
# deb-src http://archive.canonical.com/ubuntu trusty partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu trusty main
deb-src http://extras.ubuntu.com/ubuntu trusty main
deb http://security.ubuntu.com/ubuntu/ trusty-security multiverse restricted main universe
deb http://us.archive.ubuntu.com/ubuntu/ trusty-proposed main universe multiverse restricted
[close]

Guessing it doesn't matter but terminal also shows a warning:
Quote
gedit /etc/apt/sources.list

** (gedit:2038): WARNING **: Could not load Gedit repository: Typelib file for namespace 'GtkSource', version '3.0' not found
« Last Edit: January 04, 2015, 12:02:14 pm by jsb »

Offline iamesperambient

  • Veteran
  • ****
  • Posts: 1269
  • Karma: 89
  • a totally awesome dude
    • View Profile
    • i AM esper (drone ambient music)
  • Peppermint version(s): Peppermint 8 64 bit
Re: warning triangle "update info outdated"
« Reply #5 on: January 04, 2015, 12:22:18 pm »
i get warnings on getit also still get them.....not sure if that is just a bug or something to do with this.
http://iamesper.bandcamp.com
boring drone music from NJ

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26468
  • Karma: 2869
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: warning triangle "update info outdated"
« Reply #6 on: January 04, 2015, 01:38:19 pm »
The gedit "Warning(s)" can be safely ignored.

Can you first backup your sources.list by running:
Code: [Select]
sudo cp -v /etc/apt/sources.list /etc/apt/sources.list.bak
now open your sources.list for editing:
Code: [Select]
sudo gedit /etc/apt/sources.list
Find the line (second from the bottom) that reads:-

deb http://security.ubuntu.com/ubuntu/ trusty-security multiverse restricted main universe

and comment it out (by prefixing the line with a # and a space), so it now reads:-

# deb http://security.ubuntu.com/ubuntu/ trusty-security multiverse restricted main universe

SAVE the file, and close gedit.

Back in the terminal run:
Code: [Select]
sudo apt-get update
if there were no errors, try running a system update now and see if those errors have gone.
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline jsb

  • Jr. Member
  • **
  • Posts: 27
  • Karma: 3
  • New Forum User
    • View Profile
  • Peppermint version(s): peppermint 5
Re: warning triangle "update info outdated"
« Reply #7 on: January 04, 2015, 03:44:09 pm »

Back in the terminal run:
Code: [Select]
sudo apt-get update
if there were no errors, try running a system update now and see if those errors have gone.

No errors listed in terminal after running that or after running "sudo apt update". Software updater says  it is up to date.

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26468
  • Karma: 2869
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: warning triangle "update info outdated" (Solved)
« Reply #8 on: January 04, 2015, 06:54:22 pm »
Great .. thanks for marking the topic (SOLVED) n:)
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline xanadu

  • Jr. Member
  • **
  • Posts: 66
  • Karma: 4
  • New Forum User
    • View Profile
  • Peppermint version(s): Peppermint 6
Re: warning triangle "update info outdated" (Solved)
« Reply #9 on: January 20, 2015, 12:31:25 pm »
I've been having the same issue for about a week. I removed a repo that was causing sudo apt-get update to fail. It's the only repo I've added since this issue began. Now sudo apt-get update runs without errors, but I'm still seeing the triangle icon with an exclamation point for the updater tray icon. (Oddly, I seem to be missing PPAs in my sources.list, there are several 3rd-party repos listed in Synaptic that aren't in the list below).

Anyway, here's my /etc/apt/sources.list:
Spoiler (click here to view / hide)
# deb cdrom:[Peppermint 5 _Five_ - Release amd64 (20140617.2)]/ trusty main multiverse restricted universe

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://us.archive.ubuntu.com/ubuntu/ trusty main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ trusty universe
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty universe
deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates universe
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://us.archive.ubuntu.com/ubuntu/ trusty multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty multiverse
deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://us.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu trusty-security main restricted
deb-src http://security.ubuntu.com/ubuntu trusty-security main restricted
deb http://security.ubuntu.com/ubuntu trusty-security universe
deb-src http://security.ubuntu.com/ubuntu trusty-security universe
deb http://security.ubuntu.com/ubuntu trusty-security multiverse
deb-src http://security.ubuntu.com/ubuntu trusty-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu trusty partner
# deb-src http://archive.canonical.com/ubuntu trusty partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu trusty main
deb-src http://extras.ubuntu.com/ubuntu trusty main
deb http://ppa.launchpad.net/cairo-dock-team/weekly/ubuntu trusty main ## Cairo-Dock-PPA

deb http://cran.stat.ucla.edu/bin/linux/ubuntu trusty/
[close]

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26468
  • Karma: 2869
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: warning triangle "update info outdated" (Solved)
« Reply #10 on: January 20, 2015, 01:06:27 pm »
@xanadu

This topic has been marked as (SOLVED), adding a new issue to it even though it's similar can only confuse future searchers .. please start a new topic for your issue.

TIA :)
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec